<?php

// Prevent direct file access
defined( 'LS_ROOT_FILE' ) || exit;

// Private filters, can change at any time
add_filter('ls_slider_title', 'ls_filter_slider_title', 10, 2);
add_filter('ls_preview_for_slider', 'ls_preview_for_slider', 10, 1);
add_filter('ls_get_thumbnail', 'ls_get_thumbnail', 10, 3);
add_filter('ls_get_image', 'ls_get_image', 10, 2);

// Public filters
add_filter('ls_parse_defaults', 'ls_parse_defaults', 10, 2);

function ls_filter_slider_title($sliderName = '', $maxLength = 50) {
	$name = empty($sliderName) ? 'Unnamed' : htmlspecialchars(stripslashes($sliderName));
	$return = isset($name[$maxLength]) ? <?php

// Prevent direct file access
defined( 'LS_ROOT_FILE' ) || exit;

function ls_mce_hooks() {
	if(current_user_can('edit_posts') || current_user_can('edit_pages')) {
		if(get_user_option('rich_editing')) {
			add_filter('mce_buttons', 'ls_register_mce_buttons');
			add_filter('mce_external_plugins', 'ls_register_mce_js');
		}
	}
}

function ls_register_mce_buttons($buttons) {
	array_push($buttons, 'layerslider_button');
	return $buttons;
}

function ls_register_mce_js($plugins) {

	$plugins['layerslider_button'] = LS_ROOT_URL.'/static/admin/js/ls-admin-tinymce.js';
	return $plugins;
}

add_action('init', 'ls_mce_hooks');
