<?php
/**
 * Months of the year.
 *
 * @package fusion-builder
 */

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}

/**
 * Adds Months of the year to predefined choices.
 *
 * @param array $choices The predefined choices.
 */
function fusion_builder_predefined_months_of_the_year( $choices = [] ) {

	$choices[] = [
		'name'   => __( 'Months of the Year', 'fusion-builder' ),
		'values' => [
			__( 'January', 'fusion-builder' ),
			__( 'February', 'fusion-builder' ),
			__( 'March', 'fusion-builder' ),
			__( 'April', 'fusion-builder' ),
			__( 'May', 'fusion-builder<?php
/**
 * Years.
 *
 * @package fusion-builder
 */

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}

/**
 * Adds years predefined choices
 *
 * @param array $choices The predefined choices.
 */
function fusion_builder_predefined_years( $choices = [] ) {
	$values = [];
	$date   = (int) date( 'Y' );

	for ( $x = 0; $x <= 100; $x++ ) {
		$values[] = (string) $date;
		$date--;
	}

	$choices[] = [
		'name'   => __( 'Years', 'fusion-builder' ),
		'values' => $values,
	];
	return $choices;
}
add_filter( 'fusion_predefined_choices', 'fusion_builder_predefined_years' );
